
from dotenv import load_dotenv
load_dotenv()

from qagenerator import QAGenerator

# from langchain.chat_models import ChatOpenAI
# llm=ChatOpenAI(model_name="gpt-3.5-turbo")

from llm.ernie import ErnieLLM, ModelType
llm = ErnieLLM(model_name=ModelType.ERNIE_LITE)

input_file="../../../data/knowledge_qa.csv"
output_file="../../../data/kownledge_questions_qa_t50.ernie.csv"

qa_generator_csv = QAGenerator(llm=llm)
qa_generator_csv.generate_questions_csv(input_file, "input", output_file, max_num=50, save_step=10)