import sys
sys.path.append("../../..")
from vector.similarity import VectorStore_FAISS
from argparse import Namespace
from lae.common.consts import (
    VEC_DB_DBNAME,
    VEC_DB_HOST,
    VEC_DB_PASSWORD,
    VEC_DB_PORT,
    VEC_DB_USER,
    SIMILARITY_SHOW_NUMBER,
    SIMILARITY_THRESHOLD,
    FAISS_STORE_PATH,
    EMBEEDING_MODEL_PATH,
    INDEX_NAME
)
cfg = Namespace()
cfg.embeddings_model = EMBEEDING_MODEL_PATH
cfg.store_path = FAISS_STORE_PATH
cfg.index_name = INDEX_NAME
cfg.port = VEC_DB_PORT
cfg.host = VEC_DB_HOST
cfg.dbname = VEC_DB_DBNAME
cfg.username = VEC_DB_USER
cfg.password = VEC_DB_PASSWORD
cfg.show_number = SIMILARITY_SHOW_NUMBER
cfg.threshold = SIMILARITY_THRESHOLD
vecstore_faiss_pk = VectorStore_FAISS(embedding_model_name=cfg.embeddings_model,
                                    store_path=cfg.store_path,
                                    index_name=cfg.index_name,
                                    info={"port":cfg.port,"host":cfg.host,"dbname":cfg.dbname,"username":cfg.username,"password":cfg.password},
                                    show_number=cfg.show_number,
                                    threshold=cfg.threshold)