import csv
import json

import sys
sys.path.append("..") 
from common import consts

csv_file = '../../data/train_spdsvb_v11.csv'
jsonl_file = '../../data/train_spdsvb_v11.jsonl'

data = []

with open(csv_file, 'r',encoding='utf-8') as f:
    reader = csv.DictReader(f)
    for row in reader:
        prompt = consts.INSTRUCTION_V1+row['prompt']
        response = [[row['response']]]
        data.append([{'prompt': prompt, 'response': response}])

with open(jsonl_file, 'w',encoding='utf-8') as f:
    for d in data:
        f.write(json.dumps(d, ensure_ascii=False) + '\n')