import sys
sys.path.append("../..") 

from common import consts
## --------- config -------------
from argparse import Namespace
cfg = Namespace()

#dataset
cfg.train_file = '../../../data/train_spdsvb.v3.csv' 
cfg.val_file = '../../../data/val_spdsvb.v3.csv' 
cfg.prompt_column = 'prompt'
cfg.response_column = 'response'
cfg.history_column = None
cfg.source_prefix = '' #添加到每个prompt开头的前缀引导语

cfg.max_source_length = 128 
cfg.max_target_length = 128

#model
cfg.model_name_or_path = consts.MODEL_PATH_ChatGLM  #远程'THUDM/chatglm-6b' 
cfg.quantization_bit = None #仅仅预测时可以选 4 or 8 


#train
cfg.epochs = 50 
cfg.lr = 5e-3
cfg.batch_size = 1
cfg.gradient_accumulation_steps = 16 #梯度累积

cfg.ckpt_path = '../../model/ckpt/chatglm-6b-lora-spdsvb-v3'

## --------- end config -------------