
    
from langchain.vectorstores import FAISS
from langchain.embeddings.huggingface import (
    HuggingFaceEmbeddings,
)
from pgsqldocstore import PgSqlDocstore 

embeddings = HuggingFaceEmbeddings(model_name='/model/moka-ai/m3e-large')
# embeddings.embed_documents()
# embedding = HuggingFaceInstructEmbeddings(model_name='hkunlp/instructor-xl')
new_db = FAISS.load_local(folder_path="./faiss_store",index_name="know", embeddings=embeddings)

query = "忘记密码怎么办"
docs = new_db.similarity_search(query)
print(docs)